---
2.6.5:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2019-03-02
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |+
    [mjr] Avoid warnings on PHP 7.3 regarding continue statements within switch blocks.
    
2.6.4:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2017-06-22
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [jan] Add Turkish translation (İTÜ BİDB <sistemdestek@itu.edu.tr>).
2.6.3:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2016-02-01
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [jan] Mark PHP 7 as supported.
2.6.2:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2015-07-31
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Fix validating sent messages if the driver supports EAI addresses.
2.6.1:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2015-06-24
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mjr] Fix sending mail via PHP's mail function (Steffen Lindner <mail@steffen-lindner.de>).
2.6.0:
  api: 2.6.0
  state:
    release: stable
    api: stable
  date: 2015-04-28
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [jan] Fix issues with certain locales like Turkish.
    [mms] Add support for outputting comment information when writing an address.
2.5.1:
  api: 2.5.0
  state:
    release: stable
    api: stable
  date: 2015-01-07
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] IDN support no longer requires intl to be built-in to PHP.
2.5.0:
  api: 2.5.0
  state:
    release: stable
    api: stable
  date: 2014-11-23
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Added Horde_Mail_Rfc822_List#first() function.
    [mms] Add property to address object to indicate whether it is an EAI address.
    [mms] Transport driver now indicates whether it handles EAI data.
    [mms] Support validation of EAI addresses (RFC 6532).
    [mms] Add Horde_Mail_Mbox_Parse.
2.4.0:
  api: 2.4.0
  state:
    release: stable
    api: stable
  date: 2014-08-04
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Added the 'noquote' option to Horde_Mail_Rfc822_Object#writeAddress().
2.3.0:
  api: 2.3.0
  state:
    release: stable
    api: stable
  date: 2014-05-21
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Add Horde_Mail_Transport_Lmtphorde driver.
2.2.0:
  api: 2.2.0
  state:
    release: stable
    api: stable
  date: 2014-05-02
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Be more lenient in parsing RFC 5322 identification field values.
    [mms] Add Horde_Mail_Rfc822_Identification class.
2.1.6:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2014-04-03
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Optimizations to address parsing.
2.1.5:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2014-02-11
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes:
2.1.4:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2014-01-21
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] More thorough job trying to parse addresses that contain an @ but no domain information.
2.1.3:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2014-01-17
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Correctly identify e-mail addresses without domain information when validating.
2.1.2:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2013-10-15
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Discard personal information when it is identical to e-mail address.
2.1.1:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2013-08-26
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Workaround broken Net_SMTP handling regarding the end of message data (Bug #12614).
2.1.0:
  api: 2.1.0
  state:
    release: stable
    api: stable
  date: 2013-08-22
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Added the Horde_Mail_Transport_Smtphorde driver.
    [mms] Added the 'bare_addresses_idn' property to Horde_Mail_Rfc822_List.
    [mms] Added the 'bare_address_idn' property to Horde_Mail_Rfc822_Address.
2.0.6:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2013-07-16
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Honor 'pipelining' configuration option in SMTP transport driver.
2.0.5:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2013-04-08
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Correctly encode IDN domains when sending mail (Bug #12116).
2.0.4:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2013-03-05
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Improve unit tests.
2.0.3:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2012-12-26
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Fix behavior of 'persist' option in SMTP transport driver.
2.0.2:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2012-12-03
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Fix default_domain parameter to Horde_Mail_Rfc822 (Bug #11804).
2.0.1:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2012-11-16
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Ensure bare address is output to SMTP MAIL command.
2.0.0:
  api: 2.0.0
  state:
    release: stable
    api: stable
  date: 2012-10-30
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First stable release for Horde 5.
2.0.0beta2:
  api: 2.0.0beta1
  state:
    release: beta
    api: beta
  date: 2012-08-29
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Add Horde_Mail_Rfc822_Address#matchDomain().
    [mms] Add Horde_Mail_Rfc822_Address#matchInsensitive().
    [mms] Fix parsing Return-Path header when using sendmail driver (Bug #11361).
2.0.0beta1:
  api: 2.0.0beta1
  state:
    release: beta
    api: beta
  date: 2012-07-19
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First beta release for Horde 5.
2.0.0alpha1:
  api: 2.0.0alpha1
  state:
    release: alpha
    api: alpha
  date: 2012-07-05
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First alpha release for Horde 5.
    [mms] Implement new 2.0 API. See UPGRADING for full details of changes.
1.2.1:
  api: 1.2.0
  state:
    release: stable
    api: stable
  date: 2012-04-10
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes:
1.2.0:
  api: 1.2.0
  state:
    release: stable
    api: stable
  date: 2012-04-10
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Added Horde_Mail_Rfc822_Address#encoded property.
    [mms] Better support for IDN hosts in non-validate address parsing mode (Bug #11021).
    [mms] Added Horde_Mail_Rfc822#trimAddress().
    [mms] Add optional arguments to the Horde_Mail_Rfc822_Group constructor.
    [mms] Horde_Mail_Rfc822#parseAddressList() now accepts Horde_Mail_Rfc822_Objects within the first argument.
    [mms] The address and group objects now extend the base Horde_Mail_Rfc822_Object class.
    [mms] Add optional arguments to the Horde_Mail_Rfc822_Group constructor.
    [mms] First argument to Horde_Mail_Rfc822#parseAddressList() can now be an array of addresses.
    [mms] Add Horde_Mail_Rfc822#encode().
    [mms] Workaround unexpected return from PHP_EOL in Mail transport drivers.
1.1.0:
  api: 1.1.0
  state:
    release: stable
    api: stable
  date: 2012-02-22
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Created Horde_Mail_Rfc822_Address and Horde_Mail_Rfc822_Group objects to represent e-mail addresses.
    [mms] Improved parser for e-mail addresses (Request #10949).
1.0.3:
  api: 1.0.0
  state:
    release: stable
    api: stable
  date: 2012-01-17
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Fix line-endings for transport drivers that send messages using local tools/programs.
1.0.2:
  api: 1.0.0
  state:
    release: stable
    api: stable
  date: 2011-11-18
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Always use canonical line endings in sendmail driver (Bug #10696).
1.0.1:
  api: 1.0.0
  state:
    release: stable
    api: stable
  date: 2011-09-20
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    [mms] Fix parseAddressList() for empty address strings (Bug #10534).
    [mms] Fix SMTP error codes/messages (Bug #10498).
1.0.0:
  api: 1.0.0
  state:
    release: stable
    api: stable
  date: 2011-04-06
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First stable release for Horde 4.
1.0.0RC2:
  api: 1.0.0
  state:
    release: beta
    api: beta
  date: 2011-03-29
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    Second release candidate for Horde 4.
1.0.0RC1:
  api: 1.0.0
  state:
    release: beta
    api: beta
  date: 2011-03-22
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First release candidate for Horde 4.
    [jan] Fix passing arguments to sendmail binary (Gonçalo Queirós, Bug #9693).
1.0.0beta1:
  api: 1.0.0
  state:
    release: beta
    api: beta
  date: 2011-03-16
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First beta release for Horde 4.
1.0.0alpha1:
  api: 1.0.0
  state:
    release: alpha
    api: alpha
  date: 2011-03-08
  license:
    identifier: BSD-2-Clause
    uri: http://www.horde.org/licenses/bsd
  notes: |
    First alpha release for Horde 4.
